//
//  Controller.m
//  Nib1
//
//  David J. Malan
//  Harvard University
//  dmalan@harvard.edu
//
//  Demonstrates a Window-based Application implemented with a nib, plus IBAction and IBOutlet.
//

#import "Controller.h"

@implementation Controller

@synthesize textField=_textField;

- (IBAction)done:(id)sender
{
    // hide keyboard
    [sender resignFirstResponder];
}

- (IBAction)go:(id)sender
{
    // hide keyboard
    [self.textField resignFirstResponder];

    // show alert
    NSString *s = [NSString stringWithFormat:@"Hello, %@", self.textField.text];
	UIAlertView *alert = [[UIAlertView alloc] initWithTitle:@"Hello" 
													message:s
												   delegate:nil 
										  cancelButtonTitle:@"Thanks!" 
										  otherButtonTitles:nil];
	[alert show];
	[alert release];    
}

- (void)dealloc
{
    [_textField release];
    [super dealloc];
}

@end
