//
//  main.m
//  Students2
//
//  David J. Malan
//  Harvard University
//  dmalan@harvard.edu
//
//  Demonstrates use of a class, getters, and setters.
//

#import <Foundation/Foundation.h>
#import "Student.h"

// prototype
void greet(Student *s);

int main (int argc, const char * argv[])
{
    // allocate autorelease pool
    NSAutoreleasePool *pool = [[NSAutoreleasePool alloc] init];
    
    // Alice
    Student *alice = [Student alloc];
    [alice setAge:20];
    [alice setName:@"Alice"];
    greet(alice);
    [alice release];
    
    // Bob
    Student *bob = [Student alloc];
    [bob setAge:21];
    [bob setName:@"Bob"];
    greet(bob);
    [bob release];
    
    // drain autorelease pool
    [pool drain];
    
    return 0;
}

// greets student (via stderr)
void greet(Student *s)
{
    NSLog(@"Hello, %@.  I see that you are %d years old.\n", [s name], [s age]);
}
