//
//  main.m
//  Students6
//
//  David J. Malan
//  Harvard University
//  dmalan@harvard.edu
//
//  Demonstrates init methods.
//

#import <Foundation/Foundation.h>
#import "Student.h"

// prototype
void greet(Student *s);

int main (int argc, const char * argv[])
{
    // allocate autorelease pool
    NSAutoreleasePool *pool = [[NSAutoreleasePool alloc] init];
    
    // Alice
    Student *alice = [[Student alloc] initWithName:@"Alice" andAge:20];
    greet(alice);
    [alice release];
    
    // Bob
    Student *bob = [[Student alloc] initWithName:@"Bob" andAge:21];
    greet(bob);
    [bob release];

    // John
    Student *john = [[Student alloc] init];
    greet(john);
    [john release];
    
    // drain autorelease pool
    [pool drain];
    
    return 0;
}

// greets student (via stderr)
void greet(Student *s)
{
    NSLog(@"Hello, %@.  I see that you are %d years old.\n", s.name, s.age);
}
