//
//  main.m
//  Students7
//
//  David J. Malan
//  Harvard University
//  dmalan@harvard.edu
//
//  Demonstrates mutable arrays.
//

#import <Foundation/Foundation.h>
#import "Student.h"

// prototype
void greet(Student *s);

int main (int argc, const char * argv[])
{
    // allocate autorelease pool
    NSAutoreleasePool *pool = [[NSAutoreleasePool alloc] init];
    
    // allocate array for students
    NSMutableArray *students = [[NSMutableArray alloc] init];
    
    // Alice
    [students addObject:[[Student alloc] initWithName:@"Alice" andAge:20]];
    
    // Bob
    [students addObject:[[Student alloc] initWithName:@"Bob" andAge:21]];
    
    // greet then release each student
    for (id s in students) {
        greet(s);
        [s release];
    }

    // release array
    [students release];
    
    // drain autorelease pool
    [pool drain];
    
    return 0;
}

// greets student (via stderr)
void greet(Student *s)
{
    NSLog(@"Hello, %@.  I see that you are %d years old.\n", s.name, s.age);
}
