//
//  main.m
//  Students9
//
//  David J. Malan
//  Harvard University
//  dmalan@harvard.edu
//
//  Demonstrates mutable arrays.
//

#import <Foundation/Foundation.h>
#import "Student.h"

int main (int argc, const char * argv[])
{
    // allocate autorelease pool
    NSAutoreleasePool *pool = [[NSAutoreleasePool alloc] init];

    // allocate array for students
    NSMutableArray *students = [NSMutableArray array];
    
    // Alice
    Student *alice = [Student studentWithName:@"Alice" andAge:20];
    [students addObject:alice];
    
    // Bob
    Student *bob = [Student studentWithName:@"Bob" andAge:21];
    [students addObject:bob];

    // greet each student
    for (id student in students) {
        NSLog(@"Hello, %@.", [student name]);
    }
    
    // drain autorelease pool
    [pool drain];
    
    return 0;
}